# Mappedin SDK for React Native

## Resources

- [Mappedin Developer Portal](https://developer.mappedin.com)
- [Releases and Roadmap](https://developer.mappedin.com/docs/roadmap)
- [Getting Started Guide](https://developer.mappedin.com/react-native-sdk/getting-started)
- [API Reference](https://developer.mappedin.com/react-native-sdk/api-reference)
- [Demo Keys & Maps](https://developer.mappedin.com/docs/demo-keys-and-maps)
- [License](https://info.mappedin.com/terms/sdk)

## Usage

### Installation

`npm install @mappedin/react-native-sdk react-native-webview`

or

`yarn add @mappedin/react-native-sdk react-native-webview`

Update cocoapods: `cd ios && pod install`

### Getting Started

```tsx
import React from 'react';
import { SafeAreaView } from 'react-native';
import { MiMapView } from '@mappedin/react-native-sdk';

// See Trial API key Terms and Conditions
// https://developer.mappedin.com/guides/api-keys
const options = {
	clientId: '5eab30aa91b055001a68e996',
	clientSecret: 'RJyRXKcryCMy4erZqqCbuB1NbR66QTGNXVE0x3Pg6oCIlUR1',
	venue: 'mappedin-demo-mall',
};

const App = () => {
	return (
		<SafeAreaView style={{ flex: 1 }}>
			<MiMapView style={{ flex: 1 }} key="mappedin" options={options} />
		</SafeAreaView>
	);
};

export default App;
```

For full documentation, read our [Getting Started guide on the Developer Portal](https://developer.mappedin.com/react-native-sdk/getting-started).
